# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('symonitoring_model', '0014_add_cascades_for_hold'),
    ]

    operations = [
        migrations.CreateModel(
            name='ProcessApplication',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('name', models.CharField(unique=True, max_length=255)),
                ('min_available', models.PositiveSmallIntegerField(help_text=b'If less than this number of associated components are down, the application is considered to be down.')),
            ],
        ),
        migrations.CreateModel(
            name='ProcessComponent',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('name', models.CharField(max_length=255)),
                ('min_available', models.PositiveSmallIntegerField(help_text=b'If less than this number of associated hosts/services are down, the component is considered to be down. Useful for cluster and application monitoring.')),
                ('application', models.ForeignKey(to='symonitoring_bpe.ProcessApplication')),
                ('parent', models.ForeignKey(to='symonitoring_bpe.ProcessComponent', null=True)),
            ],
        ),
        migrations.CreateModel(
            name='ProcessHost',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('component', models.ForeignKey(to='symonitoring_bpe.ProcessComponent')),
                ('host', models.ForeignKey(to='symonitoring_model.Host')),
            ],
        ),
        migrations.CreateModel(
            name='ProcessService',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('component', models.ForeignKey(to='symonitoring_bpe.ProcessComponent')),
                ('service', models.ForeignKey(to='symonitoring_model.Hostserviceinstance')),
            ],
        ),
        migrations.AlterUniqueTogether(
            name='processcomponent',
            unique_together=set([('application', 'name')]),
        ),
    ]
