# -*- coding: utf-8 -*-
from __future__ import unicode_literals
from django.db import migrations, models

from symonitoring_model.helper import add_default_customerid_for_model

def add_default_customer(apps, _):
    ProcessApplication = apps.get_model('symonitoring_bpe', 'ProcessApplication')
    objects = ProcessApplication.objects.all()
    if len(objects) > 0:
        add_default_customerid_for_model(
            apps=apps,
            model_name='ProcessApplication',
            objects=objects,
            customer_id_field='customer_id'
        )


def remove_default_customer(apps, _):
    ProcessApplication = apps.get_model('symonitoring_bpe', 'ProcessApplication')
    objects = ProcessApplication.objects.all()
    if len(objects) > 0:
        for object_ in objects:
            object_.customer = None
            object_.save()


class Migration(migrations.Migration):

    dependencies = [
        # the name of the last migration is ugly
        # blame DenisS for this
        ('symonitoring_bpe', '0002_auto_20150519_1051'),
    ]

    operations = [
        migrations.AddField(
            model_name='processapplication',
            name='customer',
            field=models.ForeignKey(
                blank=True, to='symonitoring_model.Customer', null=True
            ),
            preserve_default=False,
        ),
        migrations.RunPython(
            code=add_default_customer,
            reverse_code=remove_default_customer,
        )
    ]
