# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('symonitoring_model', '0035_remove_bifactmodels'),
        ('symonitoring_bpe', '0006_add_descriptions'),
    ]

    operations = [
        migrations.CreateModel(
            name='ApplicationState',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('timestamp', models.DateTimeField(auto_now=True)),
                ('state', models.PositiveSmallIntegerField()),
                ('application_id', models.ForeignKey(to='symonitoring_bpe.ProcessApplication', db_column='applicationId')),
            ],
        ),
        migrations.CreateModel(
            name='BiDimensiondate',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('date', models.DateField()),
                ('dayofweek', models.IntegerField(db_column='dayOfWeek')),
                ('dayofmonth', models.IntegerField(db_column='dayOfMonth')),
                ('dayofyear', models.IntegerField(db_column='dayOfYear')),
                ('month', models.IntegerField()),
                ('year', models.IntegerField()),
                ('quarter', models.IntegerField()),
                ('week', models.IntegerField()),
            ],
            options={
                'db_table': 'BI_DimensionDate',
            },
        ),
        migrations.CreateModel(
            name='BiDimensionhost',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('customerid', models.ForeignKey(to='symonitoring_model.Customer', db_column='customerId')),
                ('hostid', models.ForeignKey(to='symonitoring_model.Host', db_column='hostId')),
                ('serviceinstanceid', models.ForeignKey(db_column='serviceInstanceId', to='symonitoring_model.Hostserviceinstance', null=True)),
            ],
            options={
                'db_table': 'BI_DimensionHost',
            },
        ),
        migrations.CreateModel(
            name='BiFactavailability',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('unavailable_time', models.IntegerField()),
                ('unavailable_time_excluding_slatimes', models.PositiveIntegerField(default=0)),
                ('unavailable_time_excluding_downtimes', models.PositiveIntegerField(default=0)),
                ('unavailable_time_excluding_downtimes_slatimes', models.PositiveIntegerField(default=0)),
                ('dateid', models.ForeignKey(to='symonitoring_reporting.BiDimensiondate', db_column='dateId')),
                ('hostid', models.ForeignKey(to='symonitoring_reporting.BiDimensionhost', db_column='hostId')),
            ],
            options={
                'db_table': 'BI_FactHostAvailability',
            },
        ),
        migrations.CreateModel(
            name='ReportingBatchjob',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('timestamp', models.DateTimeField(auto_now=True)),
                ('successful', models.BooleanField()),
                ('last_checked_id', models.ForeignKey(to='symonitoring_model.Alert', db_column='AlertId')),
            ],
            options={
                'db_table': 'ReportingBatchjob',
            },
        ),
    ]
