# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('symonitoring_model', '0035_remove_bifactmodels'),
        ('symonitoring_reporting', '0003_remove_all_models'),
    ]

    operations = [
        migrations.CreateModel(
            name='ApplicationState',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('timestamp', models.DateTimeField(auto_now=True)),
                ('state', models.PositiveSmallIntegerField()),
                ('application', models.ForeignKey(to='symonitoring_bpe.ProcessApplication')),
            ],
        ),
        migrations.CreateModel(
            name='BiDimensiondate',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('date', models.DateField()),
                ('dayofweek', models.IntegerField(db_column='dayOfWeek')),
                ('dayofmonth', models.IntegerField(db_column='dayOfMonth')),
                ('dayofyear', models.IntegerField(db_column='dayOfYear')),
                ('month', models.IntegerField()),
                ('year', models.IntegerField()),
                ('quarter', models.IntegerField()),
                ('week', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='BiFactavailability',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('absent_time', models.IntegerField()),
                ('absent_time_wo_slatimes', models.PositiveIntegerField(default=0)),
                ('absent_time_wo_downtimes', models.PositiveIntegerField(default=0)),
                ('absent_time_wo_downtimes_slatimes', models.PositiveIntegerField(default=0)),
                ('customer', models.ForeignKey(to='symonitoring_model.Customer')),
                ('date', models.ForeignKey(to='symonitoring_reporting.BiDimensiondate')),
                ('host', models.ForeignKey(to='symonitoring_model.Host')),
                ('serviceinstance', models.ForeignKey(to='symonitoring_model.Hostserviceinstance', null=True)),
            ],
        ),
        migrations.CreateModel(
            name='ReportingBatchjob',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('timestamp', models.DateTimeField(auto_now=True)),
                ('successful', models.BooleanField()),
                ('last_checked', models.ForeignKey(to='symonitoring_model.Alert')),
            ],
        ),
    ]
