from django.db import models


class BiDimensiondate(models.Model):
    id = models.AutoField(primary_key=True)
    date = models.DateField()
    dayofweek = models.IntegerField()
    dayofmonth = models.IntegerField()
    dayofyear = models.IntegerField()
    month = models.IntegerField()
    year = models.IntegerField()
    quarter = models.IntegerField()
    week = models.IntegerField()


class BiFactavailability(models.Model):
    id = models.AutoField(primary_key=True)
    date = models.ForeignKey(BiDimensiondate)
    customer = models.ForeignKey('symonitoring_model.Customer')
    host = models.ForeignKey(
        'symonitoring_model.Host',
        on_delete=models.CASCADE)
    serviceinstance = models.ForeignKey(
        'symonitoring_model.Hostserviceinstance',
        null=True,
        on_delete=models.CASCADE)
    unavailable = models.IntegerField(default=0)
    unavailable_wo_slatimes = models.PositiveIntegerField(default=0)
    unavailable_wo_downtimes = models.PositiveIntegerField(default=0)
    unavailable_wo_downtimes_slatimes = models.PositiveIntegerField(
        default=0
    )
    total_seconds_sla = models.PositiveIntegerField(default=0)


class ReportingBatchjob(models.Model):
    id = models.AutoField(primary_key=True)
    timestamp = models.DateTimeField(auto_now=True)
    datefrom = models.DateField()
    dateto = models.DateField()
    successful = models.BooleanField()


class BiAppFactavailability(models.Model):
    id = models.AutoField(primary_key=True)
    date = models.ForeignKey(BiDimensiondate)
    customer = models.ForeignKey('symonitoring_model.Customer')
    application = models.ForeignKey('symonitoring_bpe.ProcessApplication')
    unavailable = models.IntegerField(default=0)
    unavailable_wo_slatimes = models.PositiveIntegerField(default=0)
    unavailable_wo_downtimes = models.PositiveIntegerField(default=0)
    unavailable_wo_downtimes_slatimes = models.PositiveIntegerField(
        default=0
    )


class ApplicationState(models.Model):
    id = models.AutoField(primary_key=True)
    alert = models.ForeignKey('symonitoring_model.Alert')
    datetimeoccured = models.DateTimeField()
    datetimerecovery = models.DateTimeField(null=True, blank=True)
    application = models.ForeignKey('symonitoring_bpe.ProcessApplication')
    state = models.PositiveSmallIntegerField()
