"""API to access monitoring over RPC"""

# System imports
from symonitoring_model     import models
from symonitoring_rpcserver.apiregistry import api_callable


def _hostservice_to_dict(hostservice):
    return {
        'id':             hostservice.id,
        'hostid':         hostservice.hostid_id,
        'serviceid':      hostservice.serviceid_id,
        'instance_count': hostservice.hostserviceinstance_set.count()
    }


@api_callable
def delete_host(id):
    models.Host.objects.get(id=id).delete()


@api_callable
def delete_hostserviceinstance(id):
    models.Hostserviceinstance.objects.get(id=id).delete()


@api_callable
def get_hostservices_by_host(host_id):
    host_services = models.Hostservice.objects.filter(hostid_id=host_id)

    return [_hostservice_to_dict(hs) for hs in host_services]


@api_callable
def cleanup_hostservices(host_id):
    for hs in models.Hostservice.objects.filter(hostid_id=host_id):
        if hs.hostserviceinstance_set.count() == 0:
            hs.delete()
