"""
Django settings for symonitoring_rpcserver project.

For more information on this file, see
https://docs.djangoproject.com/en/1.7/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/1.7/ref/settings/
"""

# Build paths inside the project like this: os.path.join(BASE_DIR, ...)
import os
BASE_DIR = os.path.dirname(os.path.dirname(__file__))

# Use pymysql as mysqldb
# the maintainer of pymsql keeps 100% mysqldb compatibility
# and runs unittests against django
try:
    import pymysql
    pymysql.install_as_MySQLdb()
except ImportError:  # pragma: no cover
    pass

# System import
try:
    import configparser as cp
except ImportError:
    import ConfigParser as cp

SETTINGS_FILE     = '/var/lib/symonitoring/config/rpc.ini'
C                 = cp.ConfigParser()
C.read(SETTINGS_FILE)

# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/1.7/howto/deployment/checklist/

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = 'wq85m^gpcylesr1zr@x!41c&&l)uu$@due=&#+%^#_v2u_u&ki'

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = False

TEMPLATE_DEBUG = False

ALLOWED_HOSTS = []


# Application definition

INSTALLED_APPS = (
    'symonitoring_model',
    'symonitoring_bpe',
    'symonitoring_reporting',
)

MIDDLEWARE_CLASSES = (
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.auth.middleware.SessionAuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',
)

ROOT_URLCONF = 'symonitoring_rpcserver.urls'

WSGI_APPLICATION = 'symonitoring_rpcserver.wsgi.application'


# Database
# https://docs.djangoproject.com/en/1.7/ref/settings/#databases

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        'NAME': os.path.join(BASE_DIR, 'db.sqlite3'),
        'TEST_NAME': os.path.join(BASE_DIR, 'unittests.sqlite3'),
    },
}

# Internationalization
# https://docs.djangoproject.com/en/1.7/topics/i18n/

LANGUAGE_CODE = 'en-us'

TIME_ZONE = 'UTC'

USE_I18N = True

USE_L10N = True

USE_TZ = True


# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/1.7/howto/static-files/

STATIC_URL = '/static/'

AMQ_SETTINGS = {
    'app_name'        : 'symonitoring_rpcserver',
    'amq_host'        : 'localhost',
    'amq_user'        : 'guest',
    'amq_password'    : 'guest',
    'amq_num_queues'  : 32,
}

LIVE_SOCKET_PATH = '/vagrant/frontend/icinga/live'

# Logging
LOGGING_LEVEL = 'DEBUG'
